OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



Upgrade 2.4.2 DB: ERROR

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
What to do if you have a technical problem with OJS:

1. Search the forum. You can do this from the Advanced Search Page or from our Google Custom Search, which will search the entire PKP site. If you are encountering an error, we especially recommend searching the forum for said error.

2. Check the FAQ to see if your question or error has already been resolved.

3. Post a question, but please, only after trying the above two solutions. If it's a workflow or usability question you should probably post to the OJS Editorial Support and Discussion subforum; if you have a development question, try the OJS Development subforum.

Upgrade 2.4.2 DB: ERROR

Postby keir » Tue Jul 16, 2013 3:12 pm

I am trying to upgrade from 2.3.8 to 2.4.2
and upgrading to a full install on a new machine.
I've copied the postgres database and user files, applied the 2.42 patches then run the command line script from the pkp installation
Code: Select all
php tools/upgrade.php upgrade


the last few lines of output from the crash are

[code: Installer Installer::installEmailTemplate]
[data: dbscripts/xml/upgrade/2.4.0_idupgrade_issues2.xml]
[data: dbscripts/xml/upgrade/2.4.0_idupgrade_articles2.xml]
[data: dbscripts/xml/upgrade/2.4.0_idupgrade_published_articles2.xml]
[data: dbscripts/xml/upgrade/2.4.0_idupgrade_issue_galleys2.xml (skipped)]
[data: dbscripts/xml/upgrade/2.4.0_idupgrade_article_galleys2.xml]
[data: dbscripts/xml/upgrade/2.4.0_idupgrade_supp_files2.xml]
[data: lib/pkp/xml/mutexData.xml]
[data: dbscripts/xml/upgrade/2.4.0_update.xml]
ERROR: Upgrade failed: DB: ERROR: column "setting_value" is of type text but expression is of type boolean
HINT: You will need to rewrite or cast the expression.

Would very much appreciate any suggestions how to fix this.
keir
 
Posts: 15
Joined: Sun Aug 12, 2012 9:43 pm

Re: Upgrade 2.4.2 DB: ERROR

Postby asmecher » Tue Jul 16, 2013 3:28 pm

Hi keir,

I've fixed this bug and posted it as bug #8310 at http://pkp.sfu.ca/wiki/index.php?title=OJS_2.4.2_Recommended_Patches#Patches. Restore your DB from backup, apply the patch, and try the upgrade process again.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 7710
Joined: Wed Aug 10, 2005 12:56 pm

Re: Upgrade 2.4.2 DB: ERROR

Postby keir » Tue Jul 16, 2013 5:35 pm

Awesome.
I applied the patch rebuilt the database and the upgrade went smoothly.

All the nice publications and icons are working well.


Thank you for your excellent help.
keir
 
Posts: 15
Joined: Sun Aug 12, 2012 9:43 pm


Return to OJS Technical Support

Who is online

Users browsing this forum: No registered users and 3 guests